schedule clear code:update
title @a[tag=code] subtitle ["",{"score":{"name":"codenumber1","objective":"data"},"color":"light_purple"},{"text":" - ","color":"dark_purple"},{"score":{"name":"codenumber2","objective":"data"},"color":"light_purple"},{"text":" - ","color":"dark_purple"},{"score":{"name":"codenumber3","objective":"data"},"color":"light_purple"},{"text":" - ","color":"dark_purple"},{"score":{"name":"codenumber4","objective":"data"},"color":"light_purple"}]

# translate to full code
scoreboard players set finalcode data 0
execute store result score #cn1 temp run scoreboard players get codenumber1 data
execute store result score #cn2 temp run scoreboard players get codenumber2 data
execute store result score #cn3 temp run scoreboard players get codenumber3 data
execute store result score #cn4 temp run scoreboard players get codenumber4 data
scoreboard players operation #cn3 temp *= #ten temp
scoreboard players operation #cn2 temp *= #hundred temp
scoreboard players operation #cn1 temp *= #thousand temp
scoreboard players operation finalcode data += #cn1 temp
scoreboard players operation finalcode data += #cn2 temp
scoreboard players operation finalcode data += #cn3 temp
scoreboard players operation finalcode data += #cn4 temp

# check codes
execute if score codeenter data matches 1 if score finalcode data matches 7436 run scoreboard players set codecorrect data 1
execute if score codeenter data matches 2 if score finalcode data matches 1439 run scoreboard players set codecorrect data 1
execute if score codeenter data matches 3 if score finalcode data matches 9365 run scoreboard players set codecorrect data 1
execute if score codeenter data matches 4 if score finalcode data matches 2743 run scoreboard players set codecorrect data 1
execute if score codeenter data matches 5 if score finalcode data matches 7184 run scoreboard players set codecorrect data 1
execute if score codeenter data matches 6 if score finalcode data matches 1927 run scoreboard players set codecorrect data 1
execute if score codeenter data matches 7 if score finalcode data matches 4638 run scoreboard players set codecorrect data 1
execute if score codeenter data matches 8 if score finalcode data matches 3615 run scoreboard players set codecorrect data 1

# rewards
execute if score codeenter data matches 1 if score codecorrect data matches 1 run data merge block -46 17 -68 {Lock:""}
execute if score codeenter data matches 1 if score codecorrect data matches 1 run playsound minecraft:block.chest.open master @a -46 17 -68 50
execute if score codeenter data matches 1 if score codecorrect data matches 1 run setblock -4 16 -22 minecraft:redstone_block
execute if score codeenter data matches 1 if score codecorrect data matches 1 run setblock 29 13 -32 minecraft:redstone_block
execute if score codeenter data matches 2 if score codecorrect data matches 1 run schedule clear triggers:c3/chamber1
execute if score codeenter data matches 2 if score codecorrect data matches 1 run scoreboard players set phase data 0
execute if score codeenter data matches 2 if score codecorrect data matches 1 run function triggers:c3/chamber2
execute if score codeenter data matches 3 if score codecorrect data matches 1 run schedule clear triggers:c3/chamber2
execute if score codeenter data matches 3 if score codecorrect data matches 1 run scoreboard players set phase data 0
execute if score codeenter data matches 3 if score codecorrect data matches 1 run function triggers:c3/chamber3
execute if score codeenter data matches 4 if score codecorrect data matches 1 run schedule clear triggers:c3/chamber3
execute if score codeenter data matches 4 if score codecorrect data matches 1 run scoreboard players set phase data 0
execute if score codeenter data matches 4 if score codecorrect data matches 1 run function triggers:c3/crash
execute if score codeenter data matches 5 if score codecorrect data matches 1 run scoreboard players set elride data 0
execute if score codeenter data matches 5 if score codecorrect data matches 1 run function elevator:5to6
execute if score codeenter data matches 6 if score codecorrect data matches 1 run scoreboard players set elride data 0
execute if score codeenter data matches 6 if score codecorrect data matches 1 run function elevator:6to7
execute if score codeenter data matches 7 if score codecorrect data matches 1 run scoreboard players set elride data 0
execute if score codeenter data matches 7 if score codecorrect data matches 1 run function elevator:7to8
execute if score codeenter data matches 8 if score codecorrect data matches 1 run scoreboard players set elride data 0
execute if score codeenter data matches 8 if score codecorrect data matches 1 run function triggers:c6/triggerending

# deactivating new tries
execute if score codecorrect data matches 1 if score codeenter data matches 1 if score startcode data matches 1 run setblock -19 4 0 minecraft:red_wool
execute if score codecorrect data matches 1 if score codeenter data matches 2 if score startcode data matches 1 run setblock -19 4 -1 minecraft:red_wool
execute if score codecorrect data matches 1 if score codeenter data matches 3 if score startcode data matches 1 run setblock -19 4 -2 minecraft:red_wool
execute if score codecorrect data matches 1 if score codeenter data matches 4 if score startcode data matches 1 run setblock -19 4 -3 minecraft:red_wool
execute if score codecorrect data matches 1 if score codeenter data matches 5 if score startcode data matches 1 run setblock -19 4 -4 minecraft:red_wool
execute if score codecorrect data matches 1 if score codeenter data matches 6 if score startcode data matches 1 run setblock -19 4 -5 minecraft:red_wool
execute if score codecorrect data matches 1 if score codeenter data matches 7 if score startcode data matches 1 run setblock -19 4 -6 minecraft:red_wool
execute if score codecorrect data matches 1 if score codeenter data matches 8 if score startcode data matches 1 run setblock -19 4 -7 minecraft:red_wool

# title
execute as @a[tag=code] run title @s times 0 60 10
execute if score codecorrect data matches 1 if score sub settings matches 1 as @a[tag=code] run title @s title {"text":"Code correct!","color":"green"}
execute if score codecorrect data matches 1 if score sub settings matches 2 as @a[tag=code] run title @s title {"text":"Code richtig!","color":"green"}
execute if score codecorrect data matches 0 if score sub settings matches 1 as @a[tag=code] run title @s title {"text":"Code incorrect!","color":"dark_red"}
execute if score codecorrect data matches 0 if score sub settings matches 2 as @a[tag=code] run title @s title {"text":"Code falsch!","color":"dark_red"}

tag @a[tag=code] remove code
scoreboard players set codeenter data 0